* {
    margin: 0;
}

body {
    font-family: Arial, Helvetica, sans-serif
}
ul {
    list-style: none;
    margin: 0;
    padding: 0;
}
a{
    text-decoration: none;
    color: black;
}
/* header */
#showcase {
    width: 100%;
    height: 90vh;
    text-align: center;
    position: relative;
}
 #showcase .bg-img {
     background: url("../img/ai-codes-coding-247791\ \(1\).jpg");
     position: absolute;
     width: 100%;
     height: 90vh;
     background-position: center;
     background-repeat: no-repeat;
     background-attachment: fixed;
     background-size: cover;
     z-index: -1;
 }
#showcase .content-wrap {
    padding-top: 20vh;
}

 #showcase .content-wrap img{
    width: 30vw;
    height: 30vw;
    border-radius: 15vw;
}

#showcase .content-wrap h1{
    padding-top: 2vh;
    display: block;
    width: auto;
    background: rgb(37, 37, 37); 
    color: white;
}
#showcase .content-wrap p{
    background: rgb(37, 37, 37);
    padding:2vh;
    color: white;
 }

 /* Nav bar Responsive*/

 .nav-container {
     padding: 0;
     margin: 0;
 }

 .nav-items {
     display: flex ;
     justify-content: space-around;
     line-height: 50px;
     background-color: rgb(166, 207, 226);
     flex-wrap: wrap;
 }
 .nav-items>li {
    width: 100%;
}
 .nav-items a {
    display: inline-block;
    width: 100%;
    text-align: center;
    font-size: 1.2em;
    font-weight: 600;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    border-bottom: 3px solid rgba(120, 190, 199, 0.425);
}
.nav-items a:hover {
    border-bottom: 3px solid rgb(243, 76, 10);
    color: rgb(243, 76, 10);
}
 
 

/* Section About */
#section-about {
    background-color: rgb(166, 207, 226);
    text-align: center;
}
#section-about ul {
    margin: none;
    list-style: none;
    padding: 0%;
}
#section-about img {
    width: 30vw;
    height: 30vw;
    border-radius: 15vw;
}
#section-about .card{
    padding: 30px;
}

/* Section project */
.project-container {
    display: grid;
    background: rgb(157, 194, 211);
}
.project-head h2 {
    margin-top: 18vh;
    padding: 5px 0;
    display: inline-block;
    height: 24px;
    width: 100%;
    background: white;
    text-align: center;
    font-weight: 600;
    font-size: 32px;
    
}
.project-container>div {
        
    border: 1px solid rgb(151, 172, 185);
}
.project-container .project-head{
    text-align: center;
    background-image: url("../img/project-bg.jpeg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    height:40vh; 
    
}
.project-container .card {
    height: 200px;
    margin: 5px;
    background: white;
    padding: 0;
}


.project-container .card .card-img{
    height: 50%;
    background-image: url("../img/card-img.jpeg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    
}
.project-container .card .card-img-lms{
    background-image: url("../img/lms-img.jpg");    
}
.project-container .card .card-img-anime{
    background-image: url("../img/anime-img.jpeg");
}
.project-container .card .card-img-scraper{
    background-image: url("../img/scraper-img.png");    
}
.project-container .card .card-img-solar{
    background-image: url("../img/solar-img.jpg");    
}
.project-container .card .card-img-line{  
    background-image: url("../img/robot-img.jpg");  
}
.project-container .card .card-content{
    height: 50%;
    padding: 5px;   
}
.project-container .card .card-content p{
    padding: 5px;   
}




/* Section social media */

section {
    margin: 0;
    padding: 0;
}
.social-container {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin:0;
    height: 400px;
    background-color: rgb(166, 207, 226);
    padding: 10px
}
.social-container .content-head {
    position: relative;
    background-image: url("../img/social-bg.jpg");
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 95%;
    height: 190px;
}
.social-container .content-head h2 {
    margin-top: 15%;
    padding: 5px 0;
    display: inline-block;
    height: 24px;
    width: 100%;
    background: white;
    text-align: center;
    font-weight: 600;
    
}
.social-container .content {
    width: 100%;
    height: 180px;
    margin-top: 10px;
    background-color: white;
}
.social-container .content ul li{
    display: block;
    height: 45px;

}
.social-container .content ul li a{
    border: 1px solid rgb(65, 108, 156);
    display: block;
    height:45px;
    text-align: center;
    line-height: 45px;

}
/* Footer */

.footer {
    display: flex;
    justify-content: space-around;
    margin: 0;
    background-color: rgb(65, 108, 156);
    flex-wrap: wrap;
}
.footer .details{
    padding: 10px;
    width: 50%;
}
.footer .licence{
    padding: 10px;
    width: 50%;
    line-height: auto;
}
@media screen and (min-width: 768px){
    /*-------------------------- Header --------------------------------------------*/
    #showcase .content-wrap img{
        width: 10vw;
        height: 10vw;
        border-radius: 5vw;
    }
    #showcase .content-wrap p{
        font-size: 1.2em;
        font-weight: 100;
     }
    /*-------------------------- Nav-bar ---------------------------------------------*/
    .nav-items {
        flex-wrap: nowrap;
    }
    /*-------------------------- About ------------------------------------------------*/
    .about {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        grid-gap: 1em;
    }

    #section-about img {
        width: 10vw;
        height: 10vw;
        border-radius: 5vw;
    }
    #section-about p {
        text-align: left;
        padding-left: 20%;
    }


    /*-------------------------- Project ----------------------------------------*/
    .project-container {
        grid-template-columns: repeat(3, 1fr);
    }
    .project-container>div {
        
        margin: 5px;
    }
    .project-container .project-head{
        grid-column: 1/4;
        text-align: center;
       
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        background-attachment: fixed;
    }
    .project-container .project-head h2{
        font-size: 32px;
        height: 32px;
    }
    .project-container .card {
        height: 300px;
    }

    /*-------------------------- Social --------------------------------------*/
    .social-container {
        flex-wrap: nowrap;
    }
    .social-container .content-head {
        width: 50%;
        height: auto;
    }
    .social-container .content-head h2 {
        margin-top: 30%;
        height: 2em;
        line-height: 2em;
        font-size: 2em;
        
    }
    .social-container .content {
        width: 50%;
        height: auto;
        background-color: white;
        margin-top: 0;
    }
    .social-container .content ul li{
        height: 100px;
    
    }
    .social-container .content ul li a{
        height:100px;
        text-align: center;
        line-height: 100px;
    
    }

    /*--------------------------- Footer --------------------------------------------*/

    .footer {
        flex-wrap: nowrap;
    }
    .footer .details{
        text-align: center;
    }
    .footer .licence{
        text-align: center;
    }
}








